<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/3_Game/Systems/Inventory/InventorySlots.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/dc1/_inventory_slots_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">InventorySlots.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/dc1/_inventory_slots_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html">    5</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d36/class_inventory_slots.html">InventorySlots</a></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>{   </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="preprocessor">    #ifdef DIAG_DEVELOPER</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#aedc7b784514b417040466cf43d5ed107">InventorySlots</a>() {}</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    <span class="keyword">private</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#af10ac96681b46cd6ded1d8a1fa5accab">~InventorySlots</a>() {}</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="preprocessor">    #else</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#aedc7b784514b417040466cf43d5ed107">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#aedc7b784514b417040466cf43d5ed107">InventorySlots</a>() {}</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#af10ac96681b46cd6ded1d8a1fa5accab">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#af10ac96681b46cd6ded1d8a1fa5accab">~InventorySlots</a>() {}</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">   34</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">GetSlotIdFromString</a>(<span class="keywordtype">string</span> slot_name);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#a7780f9a2ed7ac70dff2d1b5e277d8f5a">   40</a></span>    <span class="keyword">static</span> proto native owned <span class="keywordtype">string</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#a7780f9a2ed7ac70dff2d1b5e277d8f5a">GetSlotName</a>(<span class="keywordtype">int</span> <span class="keywordtype">id</span>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#aebd41f64ebab2a7ab04e2f463bfd6e7e">   46</a></span>    <span class="keyword">static</span> proto native owned <span class="keywordtype">string</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#aebd41f64ebab2a7ab04e2f463bfd6e7e">GetSlotDisplayName</a>(<span class="keywordtype">int</span> <span class="keywordtype">id</span>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#a0b37d44033014d04303c32132d116187">   51</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#a0b37d44033014d04303c32132d116187">IsSlotIdValid</a>(<span class="keywordtype">int</span> slotId);</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#a63339b0afcafc18a7c4a05dcb56a6793">   56</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#a63339b0afcafc18a7c4a05dcb56a6793">GetStackMaxForSlotId</a>(<span class="keywordtype">int</span> slot_Id);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#ada5cf2a5ecd2c2d0fafcab2dfb8c8c5c">   61</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#ada5cf2a5ecd2c2d0fafcab2dfb8c8c5c">GetShowForSlotId</a>(<span class="keywordtype">int</span> slot_Id);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#afa815bd7209b3a28b540e1e731f84d38">   66</a></span>    <span class="keyword">static</span> proto native <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#afa815bd7209b3a28b540e1e731f84d38">GetAutoAttachForSlotId</a>(<span class="keywordtype">int</span> slot_Id);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#a1b030f150b5d8277a8ecdcb9de15e5d9">   72</a></span>    <span class="keyword">static</span> proto <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#a1b030f150b5d8277a8ecdcb9de15e5d9">GetBoneNameForSlotId</a>(<span class="keywordtype">int</span> slot_Id, out <span class="keywordtype">string</span> bone_name);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno"><a class="line" href="../../df/d36/class_inventory_slots.html#af48a8f141e25da05e5716ae8ed203259">   78</a></span>    <span class="keyword">static</span> proto <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d36/class_inventory_slots.html#af48a8f141e25da05e5716ae8ed203259">GetSelectionForSlotId</a>(<span class="keywordtype">int</span> slot_Id, out <span class="keywordtype">string</span> selection);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span> </div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    <span class="comment">//static proto native int GetBoneIndexForSlotId (int slot_Id);</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>};</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span> </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span> </div>
<div class="ttc" id="aclass_inventory_slots_html"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html">InventorySlots</a></div><div class="ttdoc">provides access to slot configuration</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00005">InventorySlots.c:6</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html_a0b37d44033014d04303c32132d116187"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#a0b37d44033014d04303c32132d116187">InventorySlots::IsSlotIdValid</a></div><div class="ttdeci">static proto native bool IsSlotIdValid(int slotId)</div><div class="ttdoc">verifies existence of the slot id</div></div>
<div class="ttc" id="aclass_inventory_slots_html_a1b030f150b5d8277a8ecdcb9de15e5d9"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#a1b030f150b5d8277a8ecdcb9de15e5d9">InventorySlots::GetBoneNameForSlotId</a></div><div class="ttdeci">static proto bool GetBoneNameForSlotId(int slot_Id, out string bone_name)</div></div>
<div class="ttc" id="aclass_inventory_slots_html_a63339b0afcafc18a7c4a05dcb56a6793"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#a63339b0afcafc18a7c4a05dcb56a6793">InventorySlots::GetStackMaxForSlotId</a></div><div class="ttdeci">static proto native int GetStackMaxForSlotId(int slot_Id)</div></div>
<div class="ttc" id="aclass_inventory_slots_html_a7780f9a2ed7ac70dff2d1b5e277d8f5a"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#a7780f9a2ed7ac70dff2d1b5e277d8f5a">InventorySlots::GetSlotName</a></div><div class="ttdeci">static proto native owned string GetSlotName(int id)</div><div class="ttdoc">converts slot_id to string</div></div>
<div class="ttc" id="aclass_inventory_slots_html_ada5cf2a5ecd2c2d0fafcab2dfb8c8c5c"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#ada5cf2a5ecd2c2d0fafcab2dfb8c8c5c">InventorySlots::GetShowForSlotId</a></div><div class="ttdeci">static proto native bool GetShowForSlotId(int slot_Id)</div></div>
<div class="ttc" id="aclass_inventory_slots_html_aebd41f64ebab2a7ab04e2f463bfd6e7e"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#aebd41f64ebab2a7ab04e2f463bfd6e7e">InventorySlots::GetSlotDisplayName</a></div><div class="ttdeci">static proto native owned string GetSlotDisplayName(int id)</div><div class="ttdoc">converts slot_id to string</div></div>
<div class="ttc" id="aclass_inventory_slots_html_aedc7b784514b417040466cf43d5ed107"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#aedc7b784514b417040466cf43d5ed107">InventorySlots::InventorySlots</a></div><div class="ttdeci">void InventorySlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00016">InventorySlots.c:16</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html_af10ac96681b46cd6ded1d8a1fa5accab"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#af10ac96681b46cd6ded1d8a1fa5accab">InventorySlots::~InventorySlots</a></div><div class="ttdeci">void ~InventorySlots()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc1/_inventory_slots_8c_source.html#l00017">InventorySlots.c:17</a></div></div>
<div class="ttc" id="aclass_inventory_slots_html_af48a8f141e25da05e5716ae8ed203259"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#af48a8f141e25da05e5716ae8ed203259">InventorySlots::GetSelectionForSlotId</a></div><div class="ttdeci">static proto bool GetSelectionForSlotId(int slot_Id, out string selection)</div></div>
<div class="ttc" id="aclass_inventory_slots_html_afa815bd7209b3a28b540e1e731f84d38"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#afa815bd7209b3a28b540e1e731f84d38">InventorySlots::GetAutoAttachForSlotId</a></div><div class="ttdeci">static proto native bool GetAutoAttachForSlotId(int slot_Id)</div></div>
<div class="ttc" id="aclass_inventory_slots_html_afdfa2801842c135099e68d21a2e71590"><div class="ttname"><a href="../../df/d36/class_inventory_slots.html#afdfa2801842c135099e68d21a2e71590">InventorySlots::GetSlotIdFromString</a></div><div class="ttdeci">static proto native int GetSlotIdFromString(string slot_name)</div><div class="ttdoc">converts string to slot_id</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_5eccb71dd63ea3c42a1369b85c71c9fd.html">3_Game</a></li><li class="navelem"><a class="el" href="../../dir_91065d8ef1d9d84badd69667faa65040.html">Systems</a></li><li class="navelem"><a class="el" href="../../dir_236db930e105245b471553e35208b746.html">Inventory</a></li><li class="navelem"><a class="el" href="../../da/dc1/_inventory_slots_8c.html">InventorySlots.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
